#5461 closed Bugs (Obsolete)

MIDI playback in Linux

Reported by: oldnemesis Owned by:
Priority: 4 - Normal
Component: Audio playback (audio/video files) Version: GIT
Severity: Normal Keywords:
Cc: Blocked By:
Blocking: Platform: All

Description

The following issues were fixed in this patch:

  • Fixed the configuration and default path locations on Linux. TranslatePath seems to handle the translation properly, while the previous variant starts looking from /system instead.
  • DLL_Init() now brings back the error message from the Timidity. Makes it much easier to find problems in timidity.cfg
  • The codec now returns error if Timidity initialization failed.
  • Fixed crash when the song was not loaded properly, and song->song is NULL in DLL_GetLength.

Attachments (1)

midi.patch (4.0 KB) - added by oldnemesis at 2008-12-08T07:57:21Z.

Change History (3)

Changed at 2008-12-08T07:57:21Z by oldnemesis

comment:1 Changed at 2008-12-23T23:46:42Z by spiff

  • Milestone 9.04 deleted
  • Resolution set to Obsolete
  • Status changed from new to closed

this has been made unecessary by other patches afaict

comment:2 Changed at 2011-02-06T17:26:05Z by vdrfan

  • Platform changed from Portable to All
Note: See TracTickets for help on using tickets.